Package org.h2.build

# Class BuildBase.FileList

java.lang.Object
java.util.AbstractCollection<E>
java.util.AbstractList<E>
java.util.ArrayList<Path>
org.h2.build.BuildBase.FileList

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Iterable<Path>`, `Collection<Path>`, `List<Path>`, `RandomAccess`

Enclosing class:
  BuildBase

public static class BuildBase.FileList extends ArrayList<Path>
A list of files.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.AbstractList

`modCount`

## Constructor Summary

Constructors
Constructor
Description
`FileList()`

## Method Summary

Modifier and Type
Method
Description
`BuildBase.FileList`
`exclude(String pattern)`
Remove the files that match from the list.
`BuildBase.FileList`
`keep(String pattern)`
Only keep the files that match.

### Methods inherited from class java.util.ArrayList

`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, equals, forEach, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

### Methods inherited from class java.util.AbstractCollection

`containsAll, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, stream, toArray`

### Methods inherited from interface java.util.List

`containsAll`

## Constructor Details

### FileList

public FileList()

## Method Details

### exclude

public BuildBase.FileList exclude(String pattern)
Remove the files that match from the list. Patterns must start or end with a *.

Parameters:
  `pattern` - the pattern of the file names to remove
Returns:
  the new file list

### keep

public BuildBase.FileList keep(String pattern)
Only keep the files that match. Patterns must start or end with a *.

Parameters:
  `pattern` - the pattern of the file names to keep
Returns:
  the new file list